!> \file masque.f90
!! Module pour definir le masque de flottaison de glace
!<

!> SUBROUTINE: masque
!! \author ....
!! \date juillet 2009
!! @note Cette routine permet de calculer le masque de flottaison de glace
!! @note Used modules:
!! @note    - use module3D_phy
!!
!<

! version juillet 2009
subroutine masque
  
  use geography, only:nx,ny
  use module3D_phy, only:flot,mk,mk0
  use runparam, only: itracebug
  
  implicit none

  if (itracebug.eq.1)  call tracebug(' Entree dans masque')

  ! mk donne la flottaison
  where (flot(:,:))
     mk(:,:)=1
  elsewhere
     mk(:,:)=0
  endwhere
  
  ! pour eventuellement enlever certaines zones
  mk(:,:)=mk(:,:)*mk0(:,:)
      
end subroutine masque
